/**
 *******************************************************************************
 * @file    tmpm380_int.h
 * @brief   all interrupt request functions definition of CG_ModeSwitch 
 *          for the TOSHIBA 'TMPM380' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM380_INT_H
#define __TMPM380_INT_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Global variables ----------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
extern uint16_t gRMCTimeOut;
extern uint8_t fTMRB0_INT;
/* External function prototypes ----------------------------------------------*/
void INTTB00_IRQHandler(void);
void INTRMCRX_IRQHandler(void);
/* Private functions ---------------------------------------------------------*/
#endif                          /* __TMPM380_INT_H */
