/**
 *******************************************************************************
 * @file    tmpm380_dmac_int.h
 * @brief   Interrupt request functions prototypes of DMAC
 *           for the TOSHIBA 'TMPM380' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM380_DMAC_INT_H
#define __TMPM380_DMAC_INT_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm380.h"
#include "tmpm380_dmac.h"

/* User ram declaration	*/
extern volatile WorkState TxEndFlag;

void INTDMACTC_IRQHandler(void);
    
#endif                          /* __tmpm380_DMAC_INT_H */
